cURL
curl --request POST \
--url https://api.youappz.dev/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "a-project-name",
"teamId": "<string>",
"alias": "<string>",
"buildCommand": "<string>",
"devCommand": "<string>",
"installCommand": "<string>",
"framework": "<string>",
"outputDirectory": "<string>",
"commandForIgnoringBuildStep": "<string>"
}
'import requests
url = "https://api.youappz.dev/projects"
payload = {
"name": "a-project-name",
"teamId": "<string>",
"alias": "<string>",
"buildCommand": "<string>",
"devCommand": "<string>",
"installCommand": "<string>",
"framework": "<string>",
"outputDirectory": "<string>",
"commandForIgnoringBuildStep": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'a-project-name',
teamId: '<string>',
alias: '<string>',
buildCommand: '<string>',
devCommand: '<string>',
installCommand: '<string>',
framework: '<string>',
outputDirectory: '<string>',
commandForIgnoringBuildStep: '<string>'
})
};
fetch('https://api.youappz.dev/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"teamId": "<string>",
"alias": "<string>",
"buildCommand": "<string>",
"devCommand": "<string>",
"installCommand": "<string>",
"framework": "<string>",
"outputDirectory": "<string>",
"commandForIgnoringBuildStep": "<string>",
"createdAt": 123,
"updatedAt": 123
}{
"code": 400,
"message": "One of the provided values in the request body/query is invalid"
}projects
Create a new Project
Allows to create a new project with the provided configuration. It only requires the project name but more configuration can be provided to override the defaults.
POST
/
projects
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The desired name for the project
Maximum string length:
100Example:
"a-project-name"
Response
The project was successfuly created
⌘I